MSGCOMM(1)

NAME
msgcomm - search catalogs for common messages

SYNOPSIS
msgcomm [OPTION] INPUTFILE ...

DESCRIPTION
Mandatory arguments to long options are mandatory for short options too.

-d, --default-domain=NAME
    use NAME.po for output (instead of messages.po)

-D, --directory=DIRECTORY
    add DIRECTORY to list for input files search

-e, --no-escape
    do not use C escapes in output (default)

-E, --escape
    use C escapes in output, no extended chars

-f, --files-from=FILE
    get list of input files from FILE

--force-po
    write PO file even if empty

-F, --sort-by-file
    sort output by file location

-h, --help
    display a help message and exit

-i, --indent
    write the .po file using indented style

--no-location
    do not write '#: filename:line' lines

-n, --add-location
    generate '#: filename:line' lines (default)

--omit-header
    don't write header with `msgid ""' entry

-o, --output=FILE
    write output to specified file

-p, --output-dir=DIR
    output files will be placed in directory DIR

-s, --sort-output
    generate sorted output and remove duplicates

--strict
    write out strict Uniforum conforming .po file

-T, --trigraphs
    understand ANSI C trigraphs for input

-u, --unique
    shorthand for --less-than=2, requests that only unique messages be printed

-V, --version
    output version information and exit

-w, --width=NUMBER
    set output page width

-<, --less-than=NUMBER
    print messages with less than this many definitions, defaults to infinite if not set

->, --more-than=NUMBER
    print messages with more than this many definitions, defaults to 1 if not set

Find messages which are common to two or more of the specified PO files. By using the --more-than option, greater commonality may be requested before messages are printed. Conversely, the --less-than option may be used to specify less commonality before messages are printed (i.e. --less-than=2 will only print the unique messages). Translations, comments and extract comments will be preserved, but only from the first PO file to define them. File positions from all PO files will be preserved.

AUTHOR
Written by Peter Miller.

REPORTING BUGS
Report bugs to <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 1995-1998, 2000, 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gettext(1), msgfmt(1)

The full documentation for msgcomm is maintained as a Texinfo manual. If the info and msgcomm programs are properly installed at your site, the command info msgcomm should give you access to the complete manual.

On Debian, the manual is also available in HTML format in the gettext-doc package.